> ## Documentation Index
> Fetch the complete documentation index at: https://d5230a4b-1863-416c-9734-f7107bff3756.bluelayer.io/llms.txt
> Use this file to discover all available pages before exploring further.

# POST review

> Accept or reject an offer from a Project Developer



## OpenAPI

````yaml post /v1/orgs/{orgName}/channels/{channelSlug}/rfqs/{rfqId}/responses/{id}/review
openapi: 3.1.0
info:
  title: External API for channels
  description: BlueLayer external API for channels
  version: '2'
servers:
  - url: https://api.connect.bluelayer.tech
security: []
paths:
  /v1/orgs/{orgName}/channels/{channelSlug}/rfqs/{rfqId}/responses/{id}/review:
    post:
      description: Marks an RFQ response as accepted or rejected
      parameters:
        - schema:
            type: string
          in: path
          name: orgName
          required: true
        - schema:
            type: string
          in: path
          name: channelSlug
          required: true
        - schema:
            type: string
            format: uuid
          in: path
          name: rfqId
          required: true
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: false
              type: object
              properties:
                status:
                  enum:
                    - accepted
                    - rejected
                  type: string
              required:
                - status
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                    enum:
                      - true
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 401
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 403
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 404
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    enum:
                      - 500
                  error:
                    type: number
                  message:
                    type: string
                required:
                  - statusCode
                  - message
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````